# t=read.table("ftse2010-1.dat", header=T)
t=read.table("ftse2011.dat", header=T)
Dates <- as.vector(t[,1])
D <- strptime(Dates, "%Y-%m-%d") #convert to  POSIXlt (a date class)

# x=c(D[198], D[198])
# x1=c(D[424], D[424])
# y=c(4790,6100)
# y1=c(8900,12500)
# y2=c(2500,3500)
ps.options(horizontal=F, width=4.6, height=4, pointsize=10)
postscript("Fig41.ps", onefile=F, print=F)
par(mar=c(3,3,2,1), mfrow=c(3,1), mgp=c(2.0,0.8,0))
plot(D, log(t[,2]), type='l', xlab='', ylab='Daily log price', col="blue", main="FTSE 100 Index")
# lines(x, y, lty=2, lwd=0.7)
# lines(x1, y, lty=2, lwd=0.7)
plot(D, log(t[,3]), type='l', xlab='', ylab='Daily  log price', col="blue", main="FTSE MidCap Index")
# lines(x, y1, lty=2, lwd=0.7)
# lines(x1, y1, lty=2, lwd=0.7)
plot(D, log(t[,4]), type='l', xlab='', ylab='Daily log price', col="blue", main="FTSE SmallCap Index")
# lines(x1, y2, lty=2, lwd=0.7)
# lines(x, y2, lty=2, lwd=0.7)
dev.off()
